/*
 * This file was generated by qdbusxml2cpp version 0.7
 * Command line was: qdbusxml2cpp -v -m -i kglobalshortcutinfo_p.h -p kglobalaccel_interface org.kde.KGlobalAccel.xml org.kde.KGlobalAccel
 *
 * qdbusxml2cpp is Copyright (C) 2009 Nokia Corporation and/or its subsidiary(-ies).
 *
 * This is an auto-generated file.
 * Do not edit! All changes made to it will be lost.
 */

#ifndef KGLOBALACCEL_INTERFACE_H_1234473179
#define KGLOBALACCEL_INTERFACE_H_1234473179

#include <QtCore/QObject>
#include <QtCore/QByteArray>
#include <QtCore/QList>
#include <QtCore/QMap>
#include <QtCore/QString>
#include <QtCore/QStringList>
#include <QtCore/QVariant>
#include <QtDBus/QtDBus>
#include "kglobalshortcutinfo_p.h"

/*
 * Proxy class for interface org.kde.KGlobalAccel
 */
class OrgKdeKGlobalAccelInterface: public QDBusAbstractInterface
{
    Q_OBJECT
public:
    static inline const char *staticInterfaceName()
    { return "org.kde.KGlobalAccel"; }

public:
    OrgKdeKGlobalAccelInterface(const QString &service, const QString &path, const QDBusConnection &connection, QObject *parent = 0);

    ~OrgKdeKGlobalAccelInterface();

public Q_SLOTS: // METHODS
    inline QDBusPendingReply<QStringList> action(int key)
    {
        QList<QVariant> argumentList;
        argumentList << qVariantFromValue(key);
        return asyncCallWithArgumentList(QLatin1String("action"), argumentList);
    }

    inline QDBusPendingReply<> activateGlobalShortcutContext(const QString &component, const QString &context)
    {
        QList<QVariant> argumentList;
        argumentList << qVariantFromValue(component) << qVariantFromValue(context);
        return asyncCallWithArgumentList(QLatin1String("activateGlobalShortcutContext"), argumentList);
    }

    inline QDBusPendingReply<QList<QStringList> > allActionsForComponent(const QStringList &actionId)
    {
        QList<QVariant> argumentList;
        argumentList << qVariantFromValue(actionId);
        return asyncCallWithArgumentList(QLatin1String("allActionsForComponent"), argumentList);
    }

    inline QDBusPendingReply<QList<QDBusObjectPath> > allComponents()
    {
        QList<QVariant> argumentList;
        return asyncCallWithArgumentList(QLatin1String("allComponents"), argumentList);
    }

    inline QDBusPendingReply<QList<QStringList> > allMainComponents()
    {
        QList<QVariant> argumentList;
        return asyncCallWithArgumentList(QLatin1String("allMainComponents"), argumentList);
    }

    inline QDBusPendingReply<QList<int> > defaultShortcut(const QStringList &actionId)
    {
        QList<QVariant> argumentList;
        argumentList << qVariantFromValue(actionId);
        return asyncCallWithArgumentList(QLatin1String("defaultShortcut"), argumentList);
    }

    inline QDBusPendingReply<> doRegister(const QStringList &actionId)
    {
        QList<QVariant> argumentList;
        argumentList << qVariantFromValue(actionId);
        return asyncCallWithArgumentList(QLatin1String("doRegister"), argumentList);
    }

    inline QDBusPendingReply<QList<KGlobalShortcutInfo> > getGlobalShortcutsByKey(int key)
    {
        QList<QVariant> argumentList;
        argumentList << qVariantFromValue(key);
        return asyncCallWithArgumentList(QLatin1String("getGlobalShortcutsByKey"), argumentList);
    }

    inline QDBusPendingReply<bool> isGlobalShortcutAvailable(int key, const QString &component)
    {
        QList<QVariant> argumentList;
        argumentList << qVariantFromValue(key) << qVariantFromValue(component);
        return asyncCallWithArgumentList(QLatin1String("isGlobalShortcutAvailable"), argumentList);
    }

    inline QDBusPendingReply<> setForeignShortcut(const QStringList &actionId, const QList<int> &keys)
    {
        QList<QVariant> argumentList;
        argumentList << qVariantFromValue(actionId) << qVariantFromValue(keys);
        return asyncCallWithArgumentList(QLatin1String("setForeignShortcut"), argumentList);
    }

    inline QDBusPendingReply<> setInactive(const QStringList &actionId)
    {
        QList<QVariant> argumentList;
        argumentList << qVariantFromValue(actionId);
        return asyncCallWithArgumentList(QLatin1String("setInactive"), argumentList);
    }

    inline QDBusPendingReply<QList<int> > setShortcut(const QStringList &actionId, const QList<int> &keys, uint flags)
    {
        QList<QVariant> argumentList;
        argumentList << qVariantFromValue(actionId) << qVariantFromValue(keys) << qVariantFromValue(flags);
        return asyncCallWithArgumentList(QLatin1String("setShortcut"), argumentList);
    }

    inline QDBusPendingReply<QList<int> > shortcut(const QStringList &actionId)
    {
        QList<QVariant> argumentList;
        argumentList << qVariantFromValue(actionId);
        return asyncCallWithArgumentList(QLatin1String("shortcut"), argumentList);
    }

    inline QDBusPendingReply<> unRegister(const QStringList &actionId)
    {
        QList<QVariant> argumentList;
        argumentList << qVariantFromValue(actionId);
        return asyncCallWithArgumentList(QLatin1String("unRegister"), argumentList);
    }

Q_SIGNALS: // SIGNALS
    void invokeAction(const QStringList &actionId, qlonglong timestamp);
    void yourShortcutGotChanged(const QStringList &actionId, const QList<int> &newKeys);
};

namespace org {
  namespace kde {
    typedef ::OrgKdeKGlobalAccelInterface KGlobalAccel;
  }
}
#endif
